<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');

	if ($_REQUEST['id'])
	{
		list($levelarg, $short)=split('/', $_REQUEST['id']);
		list($level, $arg)=split(':', $levelarg);
		
		if ($level == 'group')
			CI_AUTH::require_auth('groupadmin', array('reply' => 'html', 'group' => $arg));
		
		elseif ($level == 'user')
			CI_AUTH::require_auth('admin', array('reply' => 'html', 'user' => $arg));
	}

	$hidden_fields=array(
		'id'		=> '',
		'old_id'	=> $_REQUEST['id'],
		'task'		=> 'save'
	);

	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'shortcut'				=> array('type' => 'text'),
				'destination'			=> array('type' => 'text'),
				'caller_id'				=> array('type' => 'text'),
				'caller_name'			=> array('type' => 'text'),
				'ud_castiron_name'		=> array('type' => 'text'),
				'ud_castiron_surname'	=> array('type' => 'text'),
				'ud_castiron_company'	=> array('type' => 'text'),
				'ud_castiron_email'		=> array('type' => 'email')
			)
		),
		'contacts'	=> array(
			'fields'	=> array(
				'ud_castiron_mobile'	=> array('type' => 'text'),
				'ud_castiron_office'	=> array('type' => 'text'),
				'ud_castiron_extension'	=> array('type' => 'text'),
				'ud_castiron_home'		=> array('type' => 'text'),
				'ud_castiron_url'		=> array('type' => 'text')
			)
		),
		'advanced'	=> array(
			'fields'	=> array(
				'folder'	=> array('type' => 'select', 'options' => CI_ADDRESSBOOK::get_folders())
			)
		)
	);

	$manager=new CI_ADDRESSBOOK($levelarg);
	$info=$manager->get_info($short);

	if (!$_REQUEST['id'])
	{
		$login_info=CI_AUTH::get_login_info();

		switch ($login_info['ud_castiron_role'])
		{
			case 'admin':		$info['folder']='system'; break;
			case 'groupadmin':	$info['folder']='group:'.$login_info['group']; break;
			case 'user':		$info['folder']='user:'.$login_info['id']; break;
		}
	}

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/addressbook.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('addressbook.contacts.info.tab-');
	$form->set_fields_label_prefix('addressbook.contacts.info.fld-');

	$form->buttons->add_stock_button('back');
	$form->buttons->add_stock_button('reset');
	if ($_REQUEST['id']) $form->buttons->add_stock_button('delete');
	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_modal_results(id, res)
	{
		if ((id=="delete") && (res==true))
		{
			$('form').task.value="delete";
			$('form').do_submit();
			ci_load_page('addressbook/contacts/index.php');
		}
	}

	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'back':	ci_load_page('addressbook/contacts/index.php'); break;
			case 'reset':	$('form').reset(); break;
			case 'save':
				$('form').id.value=$('form').folder.value+'/'+$('form').shortcut.value;
 				$('form').do_submit();
				break;
				
			case 'delete':	ci_modal_confirm("delete", "<?php echo ci_lbl('addressbook.contacts.info.confirm-delete') ?>", "on_modal_results"); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
		if (task == 'submit_ok')
		{
			$('form').old_id.value=$('form').id.value;
			$('form').id.value='';
		}
		else if (task == 'submit_error')
		{
			$('form').id.value='';
		}
	}
</script>

<?php if ($_REQUEST['id']) { ?>
<div class="title"><?php echo ci_lbl("addressbook.contacts.info.title", array('name' => $short)) ?></div>
<?php } else { ?>
<div class="title"><?php echo ci_lbl("addressbook.contacts.info.title-new") ?></div>
<?php } ?>

<div class="help"><?php echo ci_hlp("addressbook.contacts.info") ?></div>

<?php echo $form->get() ?>
