<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');
	require_once(CI_PATH_LIBS.'/trunks.inc.php');
	require_once(CI_PATH_LIBS.'/channels_diva.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$trunks=new CI_TRUNKS();

	/* Reads configuration */
	$manager	= new CI_CHANNELS_DIVA();

	/* Basic form */
	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/channels_diva.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('channels.diva.tab-');
	$form->set_fields_label_prefix('channels.diva.fld-');

 	$devices		= $manager->get_devices();
 	$sys_devices	= $manager->get_sys_devices();
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save': 	$('form').do_submit(); break;
		}
	}

	function on_form_event(id, task)
	{
	}
</script>

<div class="title"><?php echo ci_lbl("channels.diva.title") ?></div>
<div class="help"><?php echo ci_hlp("channels.diva") ?></div>

<?php if (sizeof($devices) && $trunks->is_driver_active('diva')) { ?>
<table border="0" width="100%" class="table">
	<tbody>
		<?php
			$n=0;

			$serials_configured=array();
			foreach ($devices as $device)
			{
				$serials_configured[$device['serial']]=true;
		?>
		<tr class="table">
			<td class="table" width="120" align="center"><a title="<?php echo ci_lbl("channels.diva.edit") ?>: <?php echo $device['name']?>" href="javascript:ci_load_page('channels/diva/info.php?n=<?php echo $n ?>')"><img style="border: 1px solid #c0c0c0; padding: 0px" src="/img/cards/diva/<?php echo $device['image'] ?>.jpg" /></a></td>
			<td class="table">
				<table class="table2" width="100%">
					<tbody>
						<tr>
							<td class="table2" width="90"><?php echo ci_lbl("channels.diva.cards.code") ?>:</td>
							<td class="table2"><b><?php echo $device['code'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.diva.cards.name") ?>:</td>
							<td class="table2"><b><?php echo $device['name'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.diva.cards.channels") ?>:</td>
							<td class="table2"><b><?php echo $device['channels'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.diva.cards.serial") ?>:</td>
							<td class="table2"><b><?php echo $device['serial'] ?></b>
						</tr>
					</tbody>
				</table>
			</td>
			<td class="table" style="text-align: right; vertical-align: bottom; padding: 3px;">
				<input type="button" class="button" value="<?php echo ci_lbl("channels.diva.edit") ?>" onclick="ci_load_page('channels/diva/info.php?n=<?php echo $n ?>')" />
			</td>
		</tr>
		<?php
				$n++;
			}
		?>

		<?php
			$n=0;

			foreach ($sys_devices as $device)
			{
				if ($serials_configured[$device['serial']]) continue;
		?>
		<tr class="table">
			<td class="table" width="120" align="center" style="background: #ff7777"><img style="border: 1px solid #c0c0c0; padding: 0px" src="/img/cards/diva/<?php echo $device['image'] ?>.jpg" /></td>
			<td class="table" colspan="2" style="background: #ff7777">
				<div style="text-align: center; background: #cc0000; color: #ffffff; font-weight: bold; padding-bottom: 2px;"><?php echo ci_lbl("channels.diva.cards.mustconfigure") ?></div>
				<table class="table2" width="100%">
					<tbody>
						<tr>
							<td class="table2" width="90"><?php echo ci_lbl("channels.diva.cards.code") ?>:</td>
							<td class="table2"><b>-</b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.diva.cards.name") ?>:</td>
							<td class="table2"><b><?php echo $device['name'] ?></b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.diva.cards.channels") ?>:</td>
							<td class="table2"><b>-</b>
						</tr>
						<tr>
							<td class="table2"><?php echo ci_lbl("channels.diva.cards.serial") ?>:</td>
							<td class="table2"><b><?php echo $device['serial'] ?></b>
						</tr>
					</tbody>
				</table>
			</td>
		</tr>
		<?php
				$n++;
			}
		?>
	</tbody>
</table><br />
<?php } else { ?>
<div class="bignote"><?php echo ci_lbl("channels.diva.nocard") ?></div>
<?php } ?>


