<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');
	require_once(CI_PATH_LIBS.'/channels_sip.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	/* SIP fields */
	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'sip_ip'			=> array('type' => 'text'),
				'sip_port'			=> array('type' => 'int'),
				'sip_realm'			=> array('type'	=> 'text'),
				'sip_agent_name'	=> array('type'	=> 'text')
			)
		),
		'advanced'	=> array(
			'fields'	=> array(
				'sip_learn_port'						=> array('type' => 'yesno'),
				'sip_use_rport'							=> array('type'	=> 'yesno'),
				'sip_dont_use_101'						=> array('type'	=> 'yesno'),
				'sip_rtp_time_jump_limit'				=> array('type'	=> 'int'),
				'sip_rtp_jitter_compensation'			=> array('type'	=> 'int'),
				'sip_rtp_adaptive_jitter_compensation'	=> array('type'	=> 'yesno'),
				'sip_rtp_scheduling_mode'				=> array('type'	=> 'yesno')
			)
		)
	);

	/* Reads configuration */
	$manager	= new CI_CHANNELS_SIP();
	$info		= $manager->get_global_info();

	$hidden_fields=array('task'	=> 'save_global');

	/* Basic form */
	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/channels_sip.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('channels.sip.tab-');
	$form->set_fields_label_prefix('channels.sip.fld-');

	/* Buttons */
	$buttons=new CI_BUTTONS();
 	$buttons->add_button(array(
 		'name'	=> 'trunks',
 		'icon'	=> $CI_URI_BASE.'/icons/buttons/trunk.png',
 		'label'	=> ci_lbl("channels.sip.trunks")
 	));
 	$buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save': 	$('form').do_submit(); break;
			case 'trunks':	ci_load_page('channels/sip/index2.php'); break;
		}
	}

	function on_form_event(id, task)
	{
	}
</script>

<div class="title"><?php echo ci_lbl("channels.sip.title") ?></div>
<div class="help"><?php echo ci_hlp("channels.sip") ?></div>

<?php echo $form->get() ?>
<?php echo $buttons->get() ?>

