<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/settings.inc.php');

	CI_AUTH::require_auth('admin', array('reply' => 'html'));

	$hidden_fields=array('task'	=> 'save');

	$authpolicy_mode=array(
		'allow'		=> ci_lbl('settings.misc.fld-authpolicy_mode.allow'),
		'deny'		=> ci_lbl('settings.misc.fld-authpolicy_mode.deny'),
		'ignore'	=> ci_lbl('settings.misc.fld-authpolicy_mode.ignore')
	);

	$default_cids=array(
		'shortcut'		=> ci_lbl('settings.misc.fld-caller_default_cid.shortcut'),
		'username'		=> ci_lbl('settings.misc.fld-caller_default_cid.username'),
		'userdispname'	=> ci_lbl('settings.misc.fld-caller_default_cid.userdispname'),
		'email'			=> ci_lbl('settings.misc.fld-caller_default_cid.email'),
		'name'			=> ci_lbl('settings.misc.fld-caller_default_cid.name'),
		'surname'		=> ci_lbl('settings.misc.fld-caller_default_cid.surname'),
		'mobile'		=> ci_lbl('settings.misc.fld-caller_default_cid.mobile'),
		'office'		=> ci_lbl('settings.misc.fld-caller_default_cid.office'),
		'home'			=> ci_lbl('settings.misc.fld-caller_default_cid.home'),
		'company'		=> ci_lbl('settings.misc.fld-caller_default_cid.company')
	);

	$fields=array(
		'addressbook'	=> array(
			'fields'	=> array(
				'autoaddressbook_enabled'		=> array('type' => 'yesno', 'extra' => array('onchange' => 'on_enabled_change()')),
				'autoaddressbook_start'			=> array('type' => 'text', 'extra' => array('size' => 10))
			)
		),
		'caller'	=> array(
			'fields'	=> array(
				'caller_dfl_caller_id'		=> array('type' => 'select', 'options' => $default_cids),
				'caller_dfl_caller_name'	=> array('type' => 'select', 'options' => $default_cids),
				'caller_dfl_prefix'			=> array('type' => 'text', 'extra' => array('size' => 15))
			)
		),
		'authpolicy'	=> array(
			'fields'	=> array(
				'authpolicy_mode'	=> array('type' => 'select', 'options' => $authpolicy_mode)
			)
		),
		'chatautoanswer'	=> array(
			'fields'	=> array(
				'chatautoanswer_enabled'	=> array('type' => 'yesno', 'extra' => array('onchange' => 'on_enabled_change()')),
				'chatautoanswer_text'		=> array('type' => 'textarea')
			)
		),
		'rdate'	=> array(
			'fields'	=> array(
				'rdate_enabled'		=> array('type' => 'yesno', 'extra' => array('onchange' => 'on_enabled_change()')),
				'rdate_server'		=> array('type' => 'text')
			)
		)
	);

	$manager=new CI_SETTINGS_MISC();

	$info=$manager->get_info();

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_action('actions/settings_misc.php');
	$form->set_fields($fields);
	$form->set_hidden_fields($hidden_fields);
	$form->set_tabs_label_prefix('settings.misc.tab-');
	$form->set_fields_label_prefix('settings.misc.fld-');

	$form->buttons->add_stock_button('save');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'save':	$('form').do_submit(); break;
		}
		ci_hide_error_block('form_error');
	}

	function on_form_event(id, task)
	{
	}

	function on_enabled_change()
	{
		$('form').autoaddressbook_start.disabled 	= ($('form').autoaddressbook_enabled.value != 'true');
		$('form').rdate_server.disabled 			= ($('form').rdate_enabled.value != 'true');
		$('form').chatautoanswer_text.disabled 		= ($('form').chatautoanswer_enabled.value != 'true');
	}
</script>

<div class="title"><?php echo ci_lbl("settings.misc.title") ?></div>
<div class="help"><?php echo ci_hlp("settings.misc") ?></div>

<?php echo $form->get() ?>

<script type="text/javascript">on_enabled_change()</script>
