<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/users.inc.php');
	require_once(CI_PATH_LIBS.'/buttons.inc.php');

	$table=new CI_TABLES();
	$table->set_option('sort', true);
	$table->set_option('edit', true);
	$table->set_option('clickable', 'username');
	$table->set_option('toggle', true);
	$table->set_option('delete', true);
	
	$table->set_headers(array(
		'username'	=> ci_lbl('users.users.username'),
		'desc'		=> ci_lbl('users.users.desc'),
		'group'		=> ci_lbl('users.users.group'),
		'role'		=> ci_lbl('users.users.role'),
		'email'		=> ci_lbl('users.users.email')
	));

	$manager=new CI_USERS();
	$items=$manager->get_list();
	foreach ($items as $item)
	{
		$table->add_line(array(
			'username'	=> $item['id'],
			'desc'		=> $item['desc'],
			'group'		=> $item['group'],
			'role'		=> ci_lbl('users.users.info.role.'.$item['ud_castiron_role']),
			'email'		=> $item['ud_castiron_email']
		), array(
			'id'		=> $item['id'],
			'enabled'	=> ($item['enabled'] == 'true')
		));
	}

	$buttons=new CI_BUTTONS();
	$buttons->add_stock_button('new');
?>
<script type="text/javascript">
	function on_table_event(table, task, id)
	{
		switch (task)
		{
			case 'edit':
				ci_load_page('users/users/info.php?id='+id);
				break;

			case 'delete':
				my_id=id;
				ci_modal_confirm(id, "<?php echo ci_lbl('users.users.info.confirm-delete') ?>", "on_modal_results"); break;
				break;

			case 'sort':
				ci_action('users.php?task=sort&map='+id, true);
				break;

			default:
				ci_action('users.php?task='+task+'&id='+id);
				break;
		}
	}

	function on_modal_results(id, res)
	{
		if (res==true) ci_action('users.php?task=delete&id='+id);
	}

	function on_button_event(id, task)
	{
		ci_load_page('users/users/info.php');
	}
</script>

<div class="title"><?php echo ci_lbl("users.users.title") ?></div>
<div class="help"><?php echo ci_hlp("users.users") ?></div>
<?php echo $table->get(); ?>
<?php echo $buttons->get(); ?>
