<?php
	if (!is_writable(session_save_path()))
	{
		echo '<h1>System offline</h1>';
		exit;
	}
	
	session_start();
	session_register('auth');

	require_once(CI_PATH_LIBS.'/users.inc.php');
	require_once(CI_PATH_LIBS.'/groups.inc.php');
	
	class CI_AUTH
	{
		function check_auth($role, $opt=array())
		{
			global $CI_URI_BASE;
			
			$info		= CI_AUTH::get_info($_SESSION['auth']['id']);
			$info_role	= $info['ud_castiron_role'];
			$info_group	= $info['group'];
			$info_user	= $info['id'];

			/* Admin can do it ;) */
			if ($info_user == 'admin') return true;

			/* You can do everithing with yourself */
			if ($opt['user'] && ($info_user == $opt['user'])) return true;

			/* Read subject info */
			$users=new CI_USERS();
			
			$info2=array();
			if ($opt['user']) $info2=$users->get_info($opt['user']);

			/* I am admin */
			if ($info_role == 'admin')
			{
				/* I can modify all the non-admins */
				if ($info2['ud_castiron_role'] != 'admin') return true;
			}

			/* I am group admin */
			elseif (($info_role == 'groupadmin') && ($role != 'admin'))
			{
				/* I belong to my group */
				if ($info_group == $opt['group']) return true;

				/* No group defined */
				if (!$opt['group'] && !$opt['user']) return true;

				/* I can only modify users in my group */
				if (
					($info2['ud_castiron_role'] == 'user') &&
					($info2['group'] == $info_group)
				) return true;
			}

			/* I am a poor user */
			elseif ($role == 'user')
			{
				/* I belong to my group */
				if ($info_group == $opt['group']) return true;
			}

			return false;
		}
		
		function require_auth($role, $opt=array())
		{
			global $CI_URI_BASE;
			
			if (CI_AUTH::check_auth($role, $opt)) return;
			
			/* Access not authorized */
			if ($opt['reply'] == 'xml')
			{
				echo ci_get_serialized_xml(ci_response_error(
					'auth',
					array(
						'desc'		=> ci_lbl('libauth.error.not-authorized')
					)
				), 'reply');
			}
			elseif ($opt['reply'] == 'html')
			{
				$out ='<script type="text/javascript">';
				$out.='ci_blink_error("'.ci_lbl('libauth.error.not-authorized').'");';
// 				$out.='window.setTimeout(function() { ci_load_page(ci_last_page); }, 5000);';
				$out.='</script>';

				$out.='<div id="noauth"><img  src="'.$CI_URI_BASE.'/img/access_denied.png" alt="Access denied" /></div>';
				echo $out;
			}

			exit;

		}

		function can_login_webinterface($id)
		{
			$info=CI_AUTH::get_info($id);
			if ($info['ud_castiron_webaccess'] == 'true') return true;

			return false;
		}
		
		function get_info($id)
		{
			global $CI_CONFIG_USERS;

			$id=trim($id);
			if (!$id) return array();

			$users_manager=new CI_USERS();
			$groups_manager=new CI_GROUPS();

			$info_user=$users_manager->get_info($id);
			if ($info_user['enabled'] != 'true') return array();

			$info_group=$groups_manager->get_info($info_user['group']);
			if ($info_group['enabled'] != 'true') return array();

			return $info_user;
		}

		function check_password($id, $md5password)
		{
			$info=CI_AUTH::get_info($id);
			if (!$info['id']) return false;

			if ($info['ud_castiron_password'] == $md5password) return true;
			return false;
		}

		function is_logged()
		{
			$id=$_SESSION['auth']['id'];
			$md5password=$_SESSION['auth']['ud_castiron_password'];
			
			if (CI_AUTH::check_password($id, $md5password)) return true;
			return false;
		}

		function logout()
		{
			$_SESSION['auth']=array();
		}

		function login($id)
		{
			$_SESSION['auth']=CI_AUTH::get_info($id);
		}

		function get_login_info()
		{
			return CI_AUTH::get_info($_SESSION['auth']['id']);
		}
	}
?>