<?php
	require_once(CI_PATH_LIBS.'/config.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');
	
	class CI_GROUPS extends CI_CONFIG
	{
		function CI_GROUPS()
		{
		}

		function get_rmap($info)
		{
			$info['id']=preg_replace("/[^\w\-_]+/", '', $info['id']);
			$info['id']=trim($info['id']);
			
			return array(
				'id'		=> $info['id'],
				'desc'		=> $info['desc'],
				'enabled'	=> $info['enabled']
			);
		}

		function get_map($info)
		{
			$info['id']=preg_replace("/[^\w\-_]+/", '', $info['id']);
			$info['id']=trim($info['id']);
			
			return array(
				'id'		=> $info['id'],
				'desc'		=> $info['desc'],
				'enabled'	=> $info['enabled']
			);
		}
		
		function get_config_file()
		{
			return IGX_PATH_BASE.'/config/auth/groups.xml';
		}

		function get_info($id)
		{
			$info =& parent::get_info($id);
			if (sizeof($info)) return $info;

			/* Empty (default values) */
			return array(
				'enabled'	=> 'true'
			);
		}

		function task_toggle($id)
		{
			/* Filter params */
			$id=preg_replace("/[^\w\-_]+/", '', $id);
			$id=trim($id);

			if ($id == 'admin') return ci_response_error(
				'field',
				array(
					'fieldname' => 'id',
					'desc'		=> ci_lbl('libgroups.error.invalid-for-admin')
				)
			);

			return parent::task_toggle($id);
		}

		function task_delete($id)
		{
			global $CI_DB;
			
			/* Filter params */
			$id=preg_replace("/[^\w\-_]+/", '', $id);
			$id=trim($id);

			if ($id == 'admin') return ci_response_error(
				'field',
				array(
					'fieldname' => 'id',
					'desc'		=> ci_lbl('libgroups.error.invalid-for-admin')
				)
			);

			/* Remove group's addressbook */
			$addressbook=new CI_ADDRESSBOOK();
			@unlink($addressbook->get_config_file($addressbook->get_folder_name('group', $id)));

			$CI_DB->query("delete from addressbook where group_id=".$CI_DB->quote($id));

			return parent::task_delete($id);
		}

		function task_save($info)
		{
			global $CI_DB;
			
			/* Compose fields */
			$fields=$this->get_rmap($info);

			/* Admin special features */
			if ($info['id'] == 'admin') $fields['enabled']='true';

			/* Retrieve item position */
			$n=$this->get_n($info['id']);

			/* Save */
			$list =& $this->get_raw_list();
			$list[$n]=$fields;
			
			$this->save_raw_config($list);

			/* Create group's addressbook */
			$addressbook=new CI_ADDRESSBOOK();
			$addressbook_file=$addressbook->get_folder_name('group', $info['id']);
			if (!file_exists($addressbook_file))
			{
				$foo=array(
					'default'	=> '${to}',
					'sql'	=> array(
						'db-query'	=> "select destination from addressbook where shortcut='\${to}' and group_id=".$CI_DB->quote($info['id'])
					),
					'items'		=> ''
				);
				
				ci_save_xml($addressbook->get_config_file($addressbook_file), $foo, 'map');
			}
			
			return ci_response_ok();
		}
		
	}
?>