<?php
	require_once(CI_PATH_LIBS.'/config.inc.php');
	require_once(CI_PATH_LIBS.'/core.inc.php');

	class CI_TRUNKS_ZAP extends CI_CONFIG
	{
		private $channels_manager;
		
		function CI_TRUNKS_ZAP()
		{
			$this->channels_manager=new CI_CORE_CHANNELS_MANAGER();
			$this->channels_manager->open();
		}
		
		function get_config_file()
		{
			return CORE_PATH_BASE.'/config/drivers/zap.xml';
		}

		function parse_destination($dst)
		{
			list($driver, $destination)=split(':', $dst);
			list($destination, $post)=split('#', $destination);

			$user='';
			if (strpos($destination, '@') !== false)
				list($user, $host)=split('@', $destination);
			else
				$host=$destination;

			$trunks=$this->get_trunks();
			foreach ($trunks as $info)
			{
				if ($info['name'] == $driver.':'.$host)
				{
					$trunk=$info;
					break;
				}
			}

			return array(
				'trunk'	=> $trunk,
				'did'	=> $user,
				'post'	=> $post
			);
		}

		function get_trunks()
		{
			$out=array();
			$res=$this->channels_manager->ask('zap', 'list_devices');

			$count=0;
			foreach ($res['args'] as $k => $v)
			{
				$count++;
				$res2=$this->channels_manager->ask('zap', 'get_device_info', array('n' => $count));

				if (!intval($res2['args']['channels'])) continue;

				preg_match("/^(\w+ \w+) /", $res2['args']['name'], $matches);
				$res2['args']['name']=$matches[1];
				
				array_push($out,
					array(
						'name' => "zap:$v",
						'desc' => "zap:$v",
						'desc2' => $res2['args']['name']
					)
				);

				$res3=$this->channels_manager->ask('zap', 'list_bchannels', array('n' => $count));
				$count2=0;
				foreach ($res3['args'] as $k => $v)
				{
					$count2++;
					array_push($out,
						array(
							'name' => "zap:$v",
							'desc' => "zap:$v",
							'desc2' => $res2['args']['name'].' ch:'.$count2
						)
					);
				}
			}

			return $out;
		}
	}
?>