#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import re
from ftplib import FTP

# Paths definition
_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-3]

S2P_PATH_BASE='/'.join(_selfpath)

CORE_PATH_BASE		= S2P_PATH_BASE+'/core'
APPS_PATH_BASE		= S2P_PATH_BASE+'/apps'
CASTIRON_PATH_BASE	= APPS_PATH_BASE+'/castiron'

sys.path.append(CORE_PATH_BASE+'/pylibs')

from s2p import *
from s2p_email import *

def ci_media_send(options={}):
	global CASTIRON_PATH_BASE
	CASTIRON_CONF_MEDIA = xml_to_array(CASTIRON_PATH_BASE+'/config/media.xml', 0)

	for i in CASTIRON_CONF_MEDIA['item'].values():
		item=xml_simplify_array(i)

		if item['id'] != options['media']: continue
		if item['enabled'] != 'true': return False

		# Email
		if item['mode'] == 'email':
			if not options.has_key('files'): options['files']=[]
			if not options.has_key('subject'): options['subject']=''
			if not options.has_key('body'): options['body']=''

			if not type(options['files']) is list: options['files']=[options['files']]

			try:
				send_mail(
					item['email']['from'],
					re.split(r'[ ,]+', item['email']['to']),
					options['subject'],
					options['body'],
					options['files'],
					item['email']['smtp']
				)
			except:
				return False

			return True

		# FTP
		elif item['mode'] == 'ftp':
			if not options.has_key('files'): return False
			if not type(options['files']) is list: options['files']=[options['files']]

			ftp_server		= item['ftp']['server']
			ftp_path		= item['ftp']['path']
			ftp_username	= item['ftp']['username']
			ftp_password	= item['ftp']['password']
			ftp_port		= int(item['ftp']['port'])
			if not ftp_port: ftp_port=21

			try:
				ftp = FTP()
				ftp.connect(ftp_server, ftp_port)
				ftp.login(ftp_username, ftp_password)

				if ftp_path: ftp.cwd(ftp_path)

				for f in options['files']:
					ftp.storbinary("STOR " + os.path.basename(f), open(f, "rb"), 1024)

				ftp.quit()

			except:
				return False

			return True

		return False # No valid media

	return False # No media selected
