#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time
from xml.sax import saxutils

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)
sys.path.append(_libspath+'/pythondialog')

import dialog
from castiron import *

# Configuration files
CORE_CONF_SYSTEM 		= xml_to_array(CORE_PATH_BASE+'/config/system.xml')
CASTIRON_CONF_SYSTEM	= xml_to_array(CASTIRON_PATH_BASE+'/config/system.xml')

# Import language
execfile(CASTIRON_PATH_BASE+'/langs/'+CORE_CONF_SYSTEM['language']+'/labels.py')

def ci_lbl(code):
	if not CI_LBL.has_key(code): return code
	return CI_LBL[code]

def menu_reboot():
	code=d.yesno(ci_lbl("terminal.maintenance.reboot.confirm"), width=70, defaultno=1)
	if (code != 0): return

	os.system("/sbin/reboot 1>/dev/null 2>/dev/null")

def menu_shutdown():
	code=d.yesno(ci_lbl("terminal.maintenance.shutdown.confirm"), width=70, defaultno=1)
	if (code != 0): return

	os.system("/sbin/shutdown -h now 1>/dev/null 2>/dev/null")

# Start dialog
d=dialog.Dialog(dialog="dialog")
d.add_persistent_args(["--backtitle", ci_lbl('terminal.title')])
d.add_persistent_args(["--cancel-label", ci_lbl('terminal.close')])

while 1:
	(code, tag) = d.menu(
		ci_lbl("terminal.select"),
		width=70,
		height=15,
		choices=[
					("1", ci_lbl("terminal.maintenance.reboot")),
					("2", ci_lbl("terminal.maintenance.shutdown"))
				]
			)

	if int(code) != 0: break
	tag=int(tag)

	if (tag == 1):		menu_reboot()
	elif (tag == 2):	menu_shutdown()
	else:				break
