#!/usr/bin/env python

# Copyright and license: Please refer to LICENSE.TXT

import sys
import os
import os.path
import string
import re
import time

_selfpath=(os.path.dirname(os.path.realpath(__file__)).split('/'))[:-1]
_selfpath.append('pylibs')
_libspath='/'.join(_selfpath)
sys.path.append(_libspath)

from s2p import *
from s2p_logger import *

S2P_CONF_SYSTEM	= xml_to_array(CORE_PATH_CONFIG+'/system.xml')

processes_list=[
	S2P_CONF_SYSTEM['bin']['vnc'],
	'connect.py',
	'manage.py',
	'skype_connector',
	'skype'
]

# Individuazione processi
running={}
s2p_socket=""

for key in processes_list:
	
	# Controllo di sicurezza PID reale
	psax_out=systempt("ps ax |grep "+os.path.basename(key)+"|grep -v grep")
	psax_lines=re.split(r'[\r\n]+', psax_out)

	for psax_line in psax_lines:
		psax_line=re.sub(r'^\s*', '', psax_line)+' '

		if psax_line.find(' '+key+' ') == -1 and psax_line.find('/'+key+' ') == -1: continue

		[pid, info]=re.split(r'\s+', psax_line, 1)

		# Ricerco nell'environ
		if os.path.isfile('/proc/'+pid+'/environ'):
			env_s2p_user=systempt('cat /proc/'+pid+r'/environ | tr "\000" "\n" |grep S2P_USER_SKYPE=|cut -d= -f2')
			running[env_s2p_user]=1

print '\n'.join(running.keys())
